extern crate chelone;

use chelone::Graph;

const TURTLE: &str = r##"
@base <http://example.org/> .
@prefix foaf: <http://xmlns.com/foaf/0.1/> .
@prefix rel: <http://www.perceive.net/schemas/relationship/> .

<#Mozilla>
    a foaf:Organization ;
    foaf:name "Mozilla" .

<#Rust>
    rel:childOf <#mozilla>
    a foaf:Project ;
    foaf:name "Rust" .
"##;

fn main() {
    let a = {
        let input = read_file("tests/data/blankNodePropertyList_containing_collection.ttl");
        let graph = Graph::new(&input).unwrap_or_else(|e| panic!("{}", e));
        graph.parse()
    };


    println!("{}", a);
}

fn read_file(path: &str) -> String {
    use std::fs::File;
    use std::io::Read;

    let mut s = String::new();

    File::open(path)
        .unwrap()
        .read_to_string(&mut s)
        .unwrap();

    s
}
